[arch-commits] CVS update of extra/lib/libzip (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 07:05:40 EST 2007


    Date: Friday, December 7, 2007 @ 07:05:40
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/libzip

   Added: PKGBUILD (1.1)

'newpkg: will be a kde4 depend'


----------+
 PKGBUILD |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)


Index: extra/lib/libzip/PKGBUILD
diff -u /dev/null extra/lib/libzip/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 07:05:40 2007
+++ extra/lib/libzip/PKGBUILD	Fri Dec  7 07:05:40 2007
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 12:05:40 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=libzip
+pkgver=0.8
+pkgrel=1
+pkgdesc="libzip is a C library for reading, creating, and modifying zip archives"
+url="http://www.nih.at/libzip/index.html"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=('zlib')
+source=(http://www.nih.at/libzip/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+        cd $startdir/src/$pkgname-$pkgver
+         ./configure --prefix=/usr
+        make || return 1
+        make DESTDIR=$startdir/pkg install
+}
+md5sums=('b0087c2a12b312f8ec2df1052b2acb4f')




More information about the arch-commits mailing list